|
Umístění Menu |
---|
Díl -> Torus |
Pracovní stoly |
Modul Díl, Kompletace |
Výchozí zástupce |
Nikdo |
Představen ve verzi |
- |
Viz také |
Díl Vytváření zákl.geom.tvarů |
Description
Vytvoří jednoduchý parametrický torus podle parametrů pozice, úhel1, úhel2, úhel3, poloměr1 a poloměr2. Při vytvoření je torus umístěn do počátečního bodu (bod 0,0,0). Parametry úhly dovolují vytvořit částečný torus místo celého (úhly jsou defaultně nastaveny na 360°), poloměr 1 definuje vnitřní díru a poloměr 2 určuje tloušťku torusu.
A Part Torus can be turned into a segment of a torus by changing its ÚdajeAngle3 property. By changing its ÚdajeAngle1 and/or ÚdajeAngle2 properties the swept profile can become a segment of a circle.
Usage
- There are several ways to invoke the command:
- Press the
Torus button.
- Select the Part → Primitives →
Torus option from the menu.
- Press the
- The torus is created.
- Optionally change the dimensions and ÚdajePlacement of the torus by doing one of the following:
- Double-click the object in the Tree view:
- The Geometric Primitives task panel opens.
- Change one or more properties.
- The object is dynamically updated in the 3D view.
- Press the OK button.
- Change the properties in the Property editor.
- Change the ÚdajePlacement with the
Std TransformManip command.
- Double-click the object in the Tree view:
Example

A Part Torus object created with the scripting example below is shown here.
Notes
- A Part Torus can also be created with the
Part Primitives command. With that command you can specify the dimensions and placement at creation time.
Properties
See also: Property editor.
A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Torus
- ÚdajeRadius1 (
Length
): The radius of the circular path of the torus. The default is10mm
. - ÚdajeRadius2 (
Length
): The radius of the circular profile of the torus. The default is2mm
. - ÚdajeAngle1 (
Angle
): The start angle of the circular profile. Valid range:-180° <= value <= 180°
. The default is-180°
. - ÚdajeAngle2 (
Angle
): The end angle the circular profile. Valid range:-180° <= value <= 180°
. The default is180°
. If the total angle of the circular profile is smaller than360°
the profile will have a pie-shape. - ÚdajeAngle3 (
Angle
): The angle of the circular path of the torus. Valid range:0° < value <= 360°
. The default is360°
. If it is smaller than360°
the resulting solid will be a segment of a torus.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Torus can be created with the addObject()
method of the document:
torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
- Where
"myTorus"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))
doc.recompute()
Tato stránka je načtena z https://wiki.freecad.org/Part_Torus